package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description: 用户更多服务出参类
 * @author: wangyu
 * @time: 2018/9/29 15:10
 */
@Getter
@Setter
public class LantoneProductDTO {

    /**
     * 产品id
     */
    private Long id;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 产品名称
     */
    private String name;

    /**
     * 产品介绍
     */
    private String decription;

    /**
     * 计费方式
     */
    private String chargeType;

    /**
     * 产品路径
     */
    private String url;

    /**
     * 停用状态
     */
    private Integer serviceStatus;

    /**
     * 试用状态
     */
    private Integer trialStatus;

    /**
     * 试用状态名称
     */
    private String trialStatusName;

    /**
     * 试用地址
     */
    private String trialUrl;

    /**
     * 接入方式（1：嵌入式，2：接口方式，3：online）
     */
    private String accessType;

    /**
     * 已开通数量
     */
    private Integer oppendedNum;
}
