package com.diagbot.dto;

import java.util.Date;

import com.diagbot.enums.AuthStatusEnum;
import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Getter;
import lombok.Setter;


/**
 * 
 * @Description: 注册用户信息
 * @author wangfeng
 * @date 2018年9月29日 下午2:34:56
 */
@Getter
@Setter
public class UserAllDTO {
	
	private Long userId;//用户Id
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
	private Date userGmtCreate;//记录创建时间
	private String userName;// 用户名
    private String linkman;//联系人
    private String email;// 邮箱
    private Long orgId;//机构ID
    private String orgName;//机构名称
    private Integer authStatus;//认证状态
    private String authStatusStr;//认证状态String

    public  String getAuthStatusStr(){
        return AuthStatusEnum.getName(this.authStatus);
    }
}
